org.appng.core.security.signing

## Class BaseConfig

- java.lang.Object
- - org.appng.core.security.signing.BaseConfig

- Direct Known Subclasses:
    SignerConfig, ValidatorConfig

      public abstract class BaseConfig
      extends Object

  Base configuration: Things needed for signing and verifying likewise.
  Author:
    Dirk Heuvels, Matthias Müller

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BaseConfig.PrivateKeyFormat`
    `static class` | `BaseConfig.SigningAlgorithm`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Charset` | `charset`
    `protected MessageDigest` | `digest`
    `protected HashMap<String,String>` | `repoAttributes`
    `protected Collection<X509Certificate>` | `signingCertChain`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RSAPublicKey` | `getCertPublicKey()`
    `protected String` | `hasMissingKey()`
    `protected void` | `setMsgDigest(org.appng.core.security.signing.BaseConfig.DigestAlgorithm msgDigest)`
    `protected void` | `setSigningCerts(byte[] cert, SigningException.ErrorType errorType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### repoAttributes

          protected HashMap<String,String> repoAttributes

    - #### signingCertChain

          protected Collection<X509Certificate> signingCertChain

    - #### digest

          protected MessageDigest digest

    - #### charset

          protected Charset charset

  - ### Constructor Detail

    - #### BaseConfig

          public BaseConfig()

  - ### Method Detail

    - #### hasMissingKey

          protected String hasMissingKey()

    - #### setSigningCerts

          protected void setSigningCerts(byte[] cert,
                                         SigningException.ErrorType errorType)
                                  throws SigningException

      Throws:
        `SigningException`

    - #### getCertPublicKey

          protected RSAPublicKey getCertPublicKey()

    - #### setMsgDigest

          protected void setMsgDigest(org.appng.core.security.signing.BaseConfig.DigestAlgorithm msgDigest)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.